Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1624587 - LabPlot needs to be rebuilt/updated after cantor update to 18.04.3-1.fc28
Summary: LabPlot needs to be rebuilt/updated after cantor update to 18.04.3-1.fc28
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: LabPlot
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-01 21:40 UTC by Alexander Ploumistos
Modified: 2018-09-14 23:12 UTC (History)
6 users (show)

Fixed In Version: LabPlot-2.4.0-9.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-14 23:12:00 UTC
Type: Bug


Attachments (Terms of Use)

Description Alexander Ploumistos 2018-09-01 21:40:54 UTC
Hello,

For the past few weeks I've been unable to get cantor updated because LabPlot depends on the old .so:

 Problem 1: package LabPlot-2.4.0-8.fc28.x86_64 requires libcantorlibs.so.17()(64bit), but none of the providers can be installed
  - cannot install both cantor-libs-18.04.3-1.fc28.x86_64 and cantor-libs-17.12.3-1.fc28.x86_64
  - cannot install both cantor-libs-17.12.3-1.fc28.x86_64 and cantor-libs-18.04.3-1.fc28.x86_64
  - cannot install the best update candidate for package cantor-libs-17.12.3-1.fc28.x86_64
  - cannot install the best update candidate for package LabPlot-2.4.0-8.fc28.x86_64
 Problem 2: problem with installed package LabPlot-2.4.0-8.fc28.x86_64
  - package LabPlot-2.4.0-8.fc28.x86_64 requires libcantorlibs.so.17()(64bit), but none of the providers can be installed
  - package cantor-libs-17.12.3-1.fc28.x86_64 requires cantor = 17.12.3-1.fc28, but none of the providers can be installed
  - cannot install both cantor-18.04.3-1.fc28.x86_64 and cantor-17.12.3-1.fc28.x86_64
  - cannot install both cantor-17.12.3-1.fc28.x86_64 and cantor-18.04.3-1.fc28.x86_64
  - cannot install the best update candidate for package cantor-17.12.3-1.fc28.x86_64

Comment 1 Mukundan Ragavan 2018-09-02 13:11:40 UTC
yeah, looks like Labplot was missed in the kde edu update

https://bodhi.fedoraproject.org/updates/FEDORA-2018-49276cc484


I will rebuild this and submit an update.

Comment 2 Fedora Update System 2018-09-02 19:33:53 UTC
LabPlot-2.4.0-9.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-47592ad242

Comment 3 Alexander Ploumistos 2018-09-02 20:06:27 UTC
Thanks Mukundan, it's all fixed now.

Comment 4 Fedora Update System 2018-09-07 00:05:05 UTC
LabPlot-2.4.0-9.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-47592ad242

Comment 5 Fedora Update System 2018-09-07 00:05:46 UTC
LabPlot-2.4.0-9.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-47592ad242

Comment 6 Fedora Update System 2018-09-14 23:12:00 UTC
LabPlot-2.4.0-9.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.